PETSc version 3.15.5
Fix/Edit manual page

# TAOBNLS

Bounded Newton Line Search for nonlinear minimization with bound constraints.

### Options Database Keys

| -tao_bnk_max_cg_its | - maximum number of bounded conjugate-gradient iterations taken in each Newton loop
| -tao_bnk_init_type | - trust radius initialization method ("constant", "direction", "interpolation")
| -tao_bnk_update_type | - trust radius update method ("step", "direction", "interpolation")
| -tao_bnk_as_type | - active-set estimation method ("none", "bertsekas")

### Level

beginner

### Location

src/tao/bound/impls/bnk/bnls.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages